Suitcase Fusion 8 System Requirements - Extensis.com

Suitcase Fusion 8
System Requirements

Macintosh

Current version: 19.0.2 (released 6 Nov 2017)

  • OS X® 10.11 through 10.13
  • Some features require an Internet connection
  • Safari® 9 or later or the current release of Firefox® or Chrome™, for viewing Help

Windows

Current version: 19.0.2 (released 6 Nov 2017)

  • Windows® 7 SP1 or Windows 10
  • Microsoft® .NET Framework version 4.5.1 (installed automatically if not already present)
  • Some features require an Internet connection
  • Internet Explorer® 10 or later, Microsoft Edge, or the current release of Firefox or Chrome, for viewing Help

Supported Applications

Suitcase Fusion 8 includes auto-activation plug-in support for the following applications:

  • Adobe® After Effects® Creative Cloud® 2015, CC 2015.3, CC 2017, and CC 2018
  • Adobe Illustrator® CC 2015, CC 2015.3, CC 2017, and CC 2018
  • Adobe InCopy® CC 2015, CC 2017, and CC 2018
  • Adobe InDesign® CC 2015, CC 2017, and CC 2018
  • Adobe Photoshop® CC 2015, CC 2015.5, CC 2017, and CC 2018
  • QuarkXPress™ 2015, 2016, and 2017 (QuarkXPress 2017 plug-in is available for Mac only)

In addition to plug-in support, Suitcase Fusion 8 includes the Extensis Font Panel for the following applications:

  • Adobe Illustrator CC 2015, CC 2015.3, CC 2017, and CC 2018
  • Adobe InDesign CC 2015, CC 2017, and CC 2018
  • Adobe Photoshop CC 2015, CC 2015.5, CC 2017, and CC 2018

NOTE: Plug-ins are only available for 64-bit applications; if you are running 32-bit versions of QuarkXPress or Adobe applications you will not have access to auto-activation plug-ins or Font Panels.

Further Information

For details about which design applications are supported on which operating systems, see the Suitcase Fusion Support Guide.